[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPObjectList.First

Return the first non-nil object in the list

## Declaration

Source position: contnrs.pp line 56

`public function TFPObjectList.First: TObject;`

## Function result

The first non-nil element in the list.

## Description

First returns a reference to the first non-Nil element in the list. If no non-Nil element is found, Nil is returned.

## Errors

None.

## See also

TFPObjectList.Last |  | Return the last non-nil object in the list.
TFPObjectList.Pack |  | Remove all Nil references from the list

The latest version of this document can be found at lazarus-ccr.sourceforge.net .